# zip

> 将文件打包并压缩（存档）为 zip 文件。
> 另见：`unzip`。
> 更多信息：<https://manned.org/zip>.

- 将文件/目录添加到指定存档中：

`zip {{[-r|--recurse-paths]}} {{路径/到/压缩文件.zip}} {{路径/到/文件或目录1 路径/到/文件或目录2 ...}}`

- 从指定存档中删除文件/目录：

`zip {{[-d|--delete]}} {{路径/到/压缩文件.zip}} {{路径/到/文件或目录1 路径/到/文件或目录2 ...}}`

- 存档文件/目录，排除指定的文件/目录：

`zip {{[-r|--recurse-paths]}} {{路径/到/压缩文件.zip}} {{路径/到/文件或目录1 路径/到/文件或目录2 ...}} {{-x|--exclude}} {{路径/到/排除的文件或目录}}`

- 以指定的压缩级别存档文件/目录（`0` - 最低，`9` - 最高）：

`zip {{[-r|--recurse-paths]}} -{{0..9}} {{路径/到/压缩文件.zip}} {{路径/到/文件或目录1 路径/到/文件或目录2 ...}}`

- 创建一个加密的存档：

`zip {{[-r|--recurse-paths]}} {{[-e|--encrypt]}} {{路径/到/压缩文件.zip}} {{路径/到/文件或目录1 路径/到/文件或目录2 ...}}`

- 将文件/目录存档为多段分割的 zip 存档（例如每部分 3 GB）：

`zip {{[-r|--recurse-paths]}} {{[-s|--split-size]}} {{3g}} {{路径/到/压缩文件.zip}} {{路径/到/文件或目录1 路径/到/文件或目录2 ...}}`

- 打印指定存档的内容：

`zip {{[-sf|--split-size --freshen]}} {{路径/到/压缩文件.zip}}`
